customers.get If the customer account exists as a direct Google account or as a resold customer account from another reseller, use the customerAuthToken\ as described in order a resold account for an existing customer. For more information about ordering a new customer account, see order a new customer account. After creating a new customer account, you must provision a user as an administrator. The customer's administrator is required to sign in to the Admin console and sign the G Suite via Reseller agreement to activate the account. Resellers are prohibited from signing the G Suite via Reseller agreement on the customer's behalf. For more information, see order a new customer account.curl --location --request POST 'https://reseller.googleapis.com//apps/reseller/v1/customers' \
--header 'Content-Type: application/json' \
--data-raw '{
"alternateEmail": "string",
"customerDomain": "string",
"customerDomainVerified": true,
"customerId": "string",
"customerType": "customerTypeUnspecified",
"kind": "reseller#customer",
"phoneNumber": "string",
"postalAddress": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"contactName": "string",
"countryCode": "string",
"kind": "customers#address",
"locality": "string",
"organizationName": "string",
"postalCode": "string",
"region": "string"
},
"primaryAdmin": {
"primaryEmail": "string"
},
"resourceUiUrl": "string"
}'{
"alternateEmail": "string",
"customerDomain": "string",
"customerDomainVerified": true,
"customerId": "string",
"customerType": "customerTypeUnspecified",
"kind": "reseller#customer",
"phoneNumber": "string",
"postalAddress": {
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"contactName": "string",
"countryCode": "string",
"kind": "customers#address",
"locality": "string",
"organizationName": "string",
"postalCode": "string",
"region": "string"
},
"primaryAdmin": {
"primaryEmail": "string"
},
"resourceUiUrl": "string"
}